curl --request GET \
--url https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"status": "OPEN",
"identifier": "1234567890",
"order_identifier": "1042",
"order_reference": "ORDER-1042"
}
],
"links": {
"first": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=1",
"last": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=3",
"prev": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=1",
"next": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=3"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 3,
"path": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments",
"per_page": 1,
"to": 2,
"total": 3
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}List open fulfillment requests
Lists open fulfillment requests from the team’s configured WMS.
curl --request GET \
--url https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smartsend.io/beta/teams/{teamUuid}/wms/fulfillments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"status": "OPEN",
"identifier": "1234567890",
"order_identifier": "1042",
"order_reference": "ORDER-1042"
}
],
"links": {
"first": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=1",
"last": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=3",
"prev": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=1",
"next": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments?per_page=1&page=3"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 3,
"path": "https://api.smartsend.io/beta/teams/00000000-0000-4000-8000-000000000001/wms/fulfillments",
"per_page": 1,
"to": 2,
"total": 3
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "The requested resource was not found."
}{
"message": "Too Many Attempts."
}{
"message": "Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
1 - 64^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
Query Parameters
Page number, starting at 1. Omit it to retrieve the first page.
x >= 1Number of items per page.
1 <= x <= 200Response
Paginated list of fulfillment requests.
Show child attributes
Show child attributes
Navigation links for a page-paginated collection. URLs preserve the selected filters and page size. First and last URLs are present even when the collection is empty; unavailable previous and next pages are null.
Show child attributes
Show child attributes
Page pagination metadata, including page numbers and total count.
Show child attributes
Show child attributes
Was this page helpful?